%define gst_plugins gst-plugins
%define ver_major 0.10

Name: %gst_plugins-bad
Version: %ver_major.5
Release: alt1

%def_disable static

Summary: A set of GStreamer plugins that need more quality
Group: System/Libraries
License: LGPL
URL: http://gstreamer.freedesktop.org/

%def_enable bz2
%def_enable directfb
%def_disable divx
%def_disable dts
%def_enable faac
%def_disable faad
%def_enable gsm
#def_enable gst_v4l2
%def_disable gst_v4l2
%def_disable ivorbis
%def_disable libmms
%def_enable musepack
%def_enable musicbrainz
%def_enable neon
%def_disable opengl
%def_enable sdl
%def_disable soundtouch
%def_disable swfdec
%def_disable wavpack
%def_enable xvid
%def_enable jack

%define _gst_libdir %_libdir/gstreamer-%ver_major
%define _gtk_docdir %_datadir/gtk-doc/html

%define gst_ver 0.10.3
%define gst_plugins_ver 0.10.3

Requires: lib%gst_plugins >= %gst_plugins_ver
Requires: gstreamer >= %gst_ver

Source0: http://gstreamer.freedesktop.org/src/%name/%name-%version.tar.bz2

# Automatically added by buildreq on Tue Sep 11 2007
#BuildRequires: bzlib-devel cvs gcc-c++ gcc-fortran glibc-devel-static gnome-libs-devel gst-plugins-devel gtk-doc imake jackit-devel ladspa_sdk libSDL-devel libSM-devel libaudio-devel libfaac-devel libgsm-devel libgtk+2-devel libmpcdec-devel libmusicbrainz-devel libneon0.25-devel liboil-devel libsndfile-devel libx264-devel libxvid-devel python-module-PyXML python-modules-compiler python-modules-email python-modules-encodings python-modules-logging xorg-cf-files
BuildRequires: bzlib-devel cvs gcc-c++ gnome-libs-devel gst-plugins-devel gtk-doc imake jackit-devel ladspa_sdk libSDL-devel libSM-devel libaudio-devel libfaac-devel libgsm-devel libgtk+2-devel libmpcdec-devel libmusicbrainz-devel libneon0.25-devel liboil-devel libsndfile-devel libx264-devel libxvid-devel python-module-PyXML python-modules-compiler python-modules-email python-modules-encodings python-modules-logging xorg-cf-files

BuildPreReq: gstreamer-devel >= %gst_ver
BuildPreReq: %gst_plugins-devel >= %gst_plugins_ver

%if_enabled bz2
BuildRequires: bzlib-devel
%endif
%if_enabled directfb
BuildRequires: libdirectfb-devel
%endif
%if_enabled faac
BuildRequires: libfaac-devel
%endif
%if_enabled faad
BuildRequires: libfaad-devel
%endif
%if_enabled gsm
BuildRequires: libgsm-devel
%endif
%if_enabled gst_v4l2
BuildRequires: linux-libc-headers
%endif
%if_enabled musepack
BuildRequires: libmpcdec-devel
%endif
%if_enabled musicbrainz
BuildRequires: libmusicbrainz-devel
%endif
%if_enabled neon
BuildRequires: libneon0.25-devel
%endif
%if_enabled sdl
BuildRequires: libSDL-devel libdirectfb-devel
%endif
%if_enabled soundtouch
BuildRequires: libsoundtouch-devel
%endif
%if_enabled swfdec
BuildRequires: libswfdec-devel
%endif
%if_enabled xvid
BuildRequires: libxvid-devel
%endif
%if_enabled jack
BuildRequires: jackit-devel
%endif

%description
GStreamer Bad Plug-ins is a set of plug-ins that aren't up to par
compared to the rest.  They might be close to being good quality, but
they're missing something - be it a good code review, some
documentation, a set of tests, a real live maintainer, or some actual
wide use.  If the blanks are filled in they might be upgraded to
become part of either gst-plugins-good or gst-plugins-ugly, depending
on the other factors.

%package devel
Summary: Development files for GStreamer Bad plugins
Group: Development/C

%description devel
This package contains development files for GStreamer Bad plugin
collection.

%package devel-doc
Summary: Development documentation for GStreamer Bad plugins
Group: Development/C

%description devel-doc
This package contains development documentation for GStreamer Bad plugin
collection.

%package all
Summary: Full GStreamer Bad Plugins collection
Group: System/Libraries
Requires: %name = %version-%release
Requires: %name-audio-formats = %version-%release
%if_enabled bz2
Requires: %gst_plugins-bz2 = %version-%release
%endif
%if_enabled directfb
Requires: %gst_plugins-directfb = %version-%release
%endif
%if_enabled faac
Requires: %gst_plugins-faac = %version-%release
%endif
%if_enabled faad
Requires: %gst_plugins-faad = %version-%release
%endif
%if_enabled gsm
Requires: %gst_plugins-gsm = %version-%release
%endif
%if_enabled musepack
Requires: %gst_plugins-musepack = %version-%release
%endif
%if_enabled musicbrainz
Requires: %gst_plugins-musicbrainz = %version-%release
%endif
%if_enabled neon
Requires: %gst_plugins-neon = %version-%release
%endif
%if_enabled sdl
Requires: %gst_plugins-sdl = %version-%release
%endif
%if_enabled soundtouch
Requires: %gst_plugins-soundtouch = %version-%release
%endif
%if_enabled swfdec
Requires: %gst_plugins-swfdec = %version-%release
%endif
%if_enabled gst_v4l2
Requires: %gst_plugins-video4linux2 = %version-%release
%endif
%if_enabled xvid
Requires: %gst_plugins-xvid = %version-%release
%endif
%if_enabled jack
Requires: %gst_plugins-jack = %version-%release
%endif

%description all
This umbrella package encompasses the full set of GStreamer Bad plugins.

%package audio-filters
Summary: GStreamer Bad audio filter plugins
Group: Sound
Requires: %name = %version-%release

%description audio-filters
The GStreamer Bad plugins that implement
various audio effects and conversions.

%package audio-formats
Summary: GStreamer Bad audio codecs
Group: Sound
Requires: %name = %version-%release

%description audio-formats
The GStreamer Bad plugins to encode and decode audio formats.

%package video-formats
Summary: GStreamer Bad video codecs
Group: Video
Requires: %name = %version-%release

%description video-formats
The GStreamer Bad plugins to encode and decode video formats.

%package -n %gst_plugins-bz2
Summary: GStreamer plugin for bzip2 compression
Group: System/Libraries
Requires: %name = %version-%release

%description -n %gst_plugins-bz2
GStreamer plugin to encode and decode bzip2 compressed streams.

%package -n %gst_plugins-directfb
Summary: GStreamer plugin for DirectFB video output
Group: Video
Requires: %name = %version-%release

%description -n %gst_plugins-directfb
GStreamer plugin to output video using DirectFB.

%package -n %gst_plugins-faac
Summary: GStreamer AAC encoder using FAAC
Group: Sound
Requires: %name = %version-%release

%description -n %gst_plugins-faac
GStreamer plugin to encode AAC audio using the FAAC library.

%package -n %gst_plugins-faad
Summary: GStreamer AAC decoder using FAAD
Group: Sound
Requires: %name = %version-%release

%description -n %gst_plugins-faad
GStreamer plugin to decode AAC audio using the FAAD library.

%package -n %gst_plugins-gsm
Summary: GStreamer GSM audio codec
Group: Sound
Requires: %name = %version-%release

%description -n %gst_plugins-gsm
GStreamer plugin to encode and decode the GSM lossy audio format.

%package -n %gst_plugins-musepack
Summary: GStreamer musepack decoder
Group: Sound
Requires: %name = %version-%release

%description -n %gst_plugins-musepack
GStreamer plugin to decode Musepack audio format.

%package -n %gst_plugins-musicbrainz
Summary: GStreamer plugin for MusicBrainz TRM audio fingerprint support
Group: Sound
Requires: %name = %version-%release

%description -n %gst_plugins-musicbrainz
GStreamer plugin to compute MusicBrainz TRM Id using libmusicbrainz

%package -n %gst_plugins-neon
Summary: GStreamer HTTP client plugin using Neon
Group: System/Libraries
Requires: %name = %version-%release

%description -n %gst_plugins-neon
GStreamer plugin to receive data via the HTTP protocol using the Neon library.

%package -n %gst_plugins-sdl
Summary: GStreamer plugin for audio and video output using SDL
Group: System/Libraries
Requires: %name = %version-%release

%description -n %gst_plugins-sdl
GStreamer plugin that provides audio and video output via the SDL library.

%package -n %gst_plugins-soundtouch
Summary: GStreamer audio pitch control plugin using Soundtouch
Group: Sound
Requires: %name = %version-%release

%description -n %gst_plugins-soundtouch
GStreamer plugin to control the pitch of an audio stream using the
Soundtouch library.

%package -n %gst_plugins-swfdec
Summary: Shockwave Flash video decoder plugin for GStreamer
Group: Video
Requires: %name = %version-%release

%description -n %gst_plugins-swfdec
GStreamer plugin to decode Shockwave Flash video streams.

%package -n %gst_plugins-video4linux2
Summary: GStreamer plugin for video capture using Video4linux 2
Group: Video
Requires: %name = %version-%release

%description -n %gst_plugins-video4linux2
GStreamer plugin for video capture using Video for Linux 2.

%package -n %gst_plugins-xvid
Summary: GStreamer Xvid codec
Group: Video
Requires: %name = %version-%release

%description -n %gst_plugins-xvid
GStreamer plugin to encode and decode Xvid video streams.

%package -n %gst_plugins-jack
Summary: GStreamer Jack plugin
Group: Sound
Requires: %name = %version-%release

%description -n %gst_plugins-jack
GStreamer Jack plugin.

%prep
%setup -q
%__rm -f COPYING.LIB
%__ln_s %_licensedir/LGPL-2 COPYING.LIB
%__bzip2 -k ChangeLog

%build
NOCONFIGURE=1 ./autogen.sh

export VALGRIND_PATH=%_bindir/valgrind

%configure \
    --disable-examples \
    --enable-gtk-doc \
    %{subst_enable static} \
    \
    %{subst_enable bz2} \
    %{subst_enable directfb} \
    %{subst_enable divx} \
    %{subst_enable dts} \
    %{subst_enable faac} \
    %{subst_enable faad} \
    %{subst_enable gsm} \
    %{subst_enable gst_v4l2} \
    %{subst_enable ivorbis} \
    %{subst_enable libmms} \
    %{subst_enable musepack} \
    %{subst_enable musicbrainz} \
    %{subst_enable neon} \
    %{subst_enable opengl} \
    %{subst_enable sdl} \
    %{subst_enable soundtouch} \
    %{subst_enable swfdec} \
    %{subst_enable wavpack} \
    %{subst_enable xvid} \
    %{subst_enable jack} \
    --with-html-dir=%_gtk_docdir
%make_build

%install
%make_install install DESTDIR=%buildroot

# remove non-packaged files
%__rm -f %buildroot%_gst_libdir/*.la

%find_lang %name-%ver_major

%files -f %name-%ver_major.lang
%doc AUTHORS ChangeLog.bz2 NEWS README RELEASE
%doc --no-dereference COPYING.LIB
%_gst_libdir/libgstfreeze.so
%_libdir/libgstapp-0.10.so.*

%files devel
%_libdir/libgstapp-0.10.so
%_includedir/gstreamer-0.10/gst/app/gstappbuffer.h
%_includedir/gstreamer-0.10/gst/app/gstappsink.h
%_includedir/gstreamer-0.10/gst/app/gstappsrc.h

%files devel-doc
%_gtk_docdir/%name-plugins-%ver_major

%files all

%files audio-filters
%_gst_libdir/libgstspeed.so

%files audio-formats
%_gst_libdir/libgstmodplug.so
%_gst_libdir/libgsttta.so
%_gst_libdir/libgstxingheader.so

%files video-formats
%_gst_libdir/libgstcdxaparse.so

%if_enabled bz2
%files -n %gst_plugins-bz2
%_gst_libdir/libgstbz2.so
%endif

%if_enabled directfb
%files -n %gst_plugins-directfb
%_gst_libdir/libgstdfb*.so
%endif

%if_enabled faac
%files -n %gst_plugins-faac
%_gst_libdir/libgstfaac.so
%endif

%if_enabled faad
%files -n %gst_plugins-faad
%_gst_libdir/libgstfaad.so
%endif

%if_enabled gsm
%files -n %gst_plugins-gsm
%_gst_libdir/libgstgsm.so
%endif

%if_enabled musepack
%files -n %gst_plugins-musepack
%_gst_libdir/libgstmusepack.so
%endif

%if_enabled musicbrainz
%files -n %gst_plugins-musicbrainz
%_gst_libdir/libgsttrm.so
%endif

%if_enabled neon
%files -n %gst_plugins-neon
%_gst_libdir/libgstneon*.so
%endif

%if_enabled sdl
%files -n %gst_plugins-sdl
%_gst_libdir/libgstsdl*.so
%endif

%if_enabled soundtouch
%files -n %gst_plugins-soundtouch
%_gst_libdir/libgstpitch.so
%endif

%if_enabled swfdec
%files -n %gst_plugins-swfdec
%_gst_libdir/libgstswfdec.so
%endif

%if_enabled gst_v4l2
%files -n %gst_plugins-video4linux2
%_gst_libdir/libgstvideo4linux2.so
%endif

%if_enabled xvid
%files -n %gst_plugins-xvid
%_gst_libdir/libgstxvid.so
%endif

%if_enabled jack
%files -n %gst_plugins-jack
%_gst_libdir/libgstjack.so
%endif

%changelog
* Mon Sep 10 2007 Igor Zubkov <icesik@altlinux.org> 0.10.5-alt1
- 0.10.4 -> 0.10.5
- enable new plugins:
  + jack

* Sat Apr 28 2007 Igor Zubkov <icesik@altlinux.org> 0.10.4-alt3
- disable swfdec plugin (it's don't compile with fresh libswfdec)

* Thu Apr 12 2007 Igor Zubkov <icesik@altlinux.org> 0.10.4-alt2
- fix linking of gst-plugins-gsm (closes #11457)

* Thu Feb 22 2007 Igor Zubkov <icesik@altlinux.org> 0.10.4-alt1
- 0.10.3 -> 0.10.4
- disable v2l2 plugin

* Wed Sep 06 2006 ALT QA Team Robot <qa-robot@altlinux.org> 0.10.3-alt2.1
- Rebuild with libdirectfb-0.9.so.25 .

* Mon Jun 05 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.3-alt2
- Added missing filelist for soundtouch
- Disabled soundtouch until bug 9677 is resolved

* Sun Jun 04 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.3-alt1
- Updated to 0.10.3
- Patch0 has gone upstream
- Added musicbrainz plugin
- Added video4linux2 plugin
- Added soundtouch
- Added modplug, xingheader to audio-formats

* Mon Mar 13 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.1-alt1
- Initial release for Sisyphus after the plugin split in the 0.9 branch
- Patch0: fix bitrotten autogen.sh
